org.mariadb.jdbc.internal.common.queryresults

## Class QueryResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.QueryResult

Direct Known Subclasses:
  ModifyQueryResult, SelectQueryResult

    public abstract class QueryResult
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`QueryResult()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `close()`
`abstract MySQLColumnInformation[]` `getColumnInformation()`
`abstract String` `getMessage()`
`abstract ResultSetType` `getResultSetType()`
`abstract int` `getRows()`
`abstract short` `getWarnings()`
`boolean` `isClosed()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryResult

    public QueryResult()

### Method Detail

#### getResultSetType

    public abstract ResultSetType getResultSetType()

#### close

    public void close()

#### isClosed

    public boolean isClosed()

#### getWarnings

    public abstract short getWarnings()

#### getMessage

    public abstract String getMessage()

#### getColumnInformation

    public abstract MySQLColumnInformation[] getColumnInformation()

#### getRows

    public abstract int getRows()